# bLuna

This section describes provides a high-level overview of bLuna smart contracts.

{% hint style="warning" %}
Even with a thorough understanding of Anchor Protocol, it is highly recommended to interact with Anchor through client channels such as the Anchor WebApp or [Anchor.js](/anchor-2/developers-terra/anchor.js.md).
{% endhint %}

## Smart Contracts

| Contract                                                                          | Function                                                                                   |
| --------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| [Hub](https://docs.terra.lido.fi/contracts/hub)                                   | Central hub that manages underlying Luna delegation / undelegation                         |
| [Reward](https://docs.terra.lido.fi/contracts/reward)                             | Handles bLuna reward distribution                                                          |
| [Rewards Dispatcher](https://docs.terra.lido.fi/contracts/rewards_dispatcher)     | Accumulates rewards of Hub's delegations and manages them                                  |
| [Validators Registry](https://docs.terra.lido.fi/contracts/validators_registry)   | Stores the list of whitelisted validators                                                  |
| [Airdrop Registry](broken://pages/-MT0Eu1i6hG4KM-JNANH)                           | Stores contract interfaces for claiming and swapping tokens airdropped to Luna delegations |
| [Tokens: bLuna and stLuna](https://docs.terra.lido.fi/contracts/stLuna_and_bLuna) | Modified CW20 token contract for handling token balances                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.anchorprotocol.com/anchor-2/smart-contracts/bluna.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
